;; Load the publishing system
(require 'ox-publish)

(setq org-publish-project-alist
      '(("org-files"
         :recursive t
         :base-directory "./content"
         :publishing-directory "./public"
         :publishing-function org-html-publish-to-html
         :with-author nil           ;; Don't include author name
         :with-creator nil            ;; Include Emacs and Org versions in footer
         :with-toc nil                ;; Include a table of contents
         :title "Joseph Ferano"
         :with-title nil
         :with-validation nil
         :section-numbers nil       ;; Don't include section numbers
         :time-stamp-file nil)
        ("static-files"
         :base-directory "./content/"
         :base-extension "css\\|js\\|png\\|jpg\\|gif\\|pdf\\|mp3\\|ogg\\|svg"
         :publishing-directory "./public/"
         :recursive t
         :publishing-function org-publish-attachment)
        ("site" :components ("org-files" "static-files"))))

(setq org-html-validation-link nil
      org-html-head-include-default-style nil)
      ;; org-html-head "<link rel=\"stylesheet\" href=\"css/normalize.css\" /><link rel=\"stylesheet\" href=\"css/main.css\" />")

(org-publish-project "site" t)

(message "Build complete!")
